#1675 closed defect (fixed)

mcf5329 BSP post-link conversion broken

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: critical Keywords:
Cc: ralf.corsepius@…, sebastian.huber@… Blocked By:
Blocking:

Description

Build the mcf5329 with all tests enabled. Observe the amount of disk used.

chris@takapu spwkspace $ pwd
/Users/chris/Development/rtems/build/m68k/m68k-rtems4.11/c/mcf5329/testsuites/sptests/spwkspace
chris@takapu spwkspace $ du -sh spwkspace.ralf
1.0G spwkspace.ralfchris staff 1073740960 14 Aug 16:41 spwkspace.ralf

I suspect the memory map is sparse in the BSP and this is resulting objcopy creating a 1.0G image. This makes the m68k build use over 250G.

Attachments (1)

mcf5329-big-files-fix.diff (824 bytes) - added by Chris Johns on Aug 14, 2010 at 11:25:44 PM.
Disable post-link objcopy

Download all attachments as: .zip

Change History (5)

Changed on Aug 14, 2010 at 11:25:44 PM by Chris Johns

Attachment: mcf5329-big-files-fix.diff added

Disable post-link objcopy

comment:1 Changed on Aug 16, 2010 at 5:42:00 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on Aug 17, 2010 at 5:14:08 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:3 Changed on Nov 8, 2010 at 10:27:59 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

This looks fixed in my logs.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.